package org.arquillian.example;

import static org.junit.Assert.*;

import java.io.File;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.jboss.arquillian.junit.Arquillian;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.importer.ZipImporter;
import com.sun.identity.sm.EmailValidator;

@RunWith(Arquillian.class)
public class EmailValidatorTest {

	@Deployment
	public static WebArchive createDeployment() {
		return ShrinkWrap.create(ZipImporter.class, "openam_954_test.war")
				.importFrom(new File("sample/openam_954.war"))
				.as(WebArchive.class).setWebXML(EmptyAsset.INSTANCE);
	}

	@Test
	public void validateShouldValidateAddress() throws Exception {
		EmailValidator ev = new EmailValidator();
		assertFalse(ev.validate("foo"));
		assertTrue(ev.validate("foo@example.com"));
	}
}
